<?php

array();
array( );           # no space in empty array

array(1,"foo");     # no space after comma
array( 1, "foo");   # no space after parenthesis
array(1, "foo" );   # no space before parenthesis
array(1,  "foo");   # single space
array (1, "foo");   # no space after array
array(1, "foo",);   # no trailing comma
array(1, "foo");

array(1,
    "foo"	  # bad indentation
);            # Closing parenthesis should be on the previous line
array(1,
      "foo"); 
array(1,
      "foo",  # no trailing comma
);            # Closing parenthesis should be on the previous line
array(
    1,
    "foo"     # there should be a trailing comma
);
array(
    1,
    "foo");   # trailing comma + parenthesis on the next line
array(1,
      "foo","bar");   # no space after comma
array(
    1,
    "foo",
);

array(1 => "foo", 2 => "bar");    # each pair on its own line
array(1 => "foo", 
      2 => "bar", 3 => "baz");    # each pair on its own line
array(
    1 => "foo", 
    2 => "bar", 3 => "baz",       # each pair on its own line
);

$tmp = array(
    1=>"foo",                     # No space arround arrows (*2)
    2 => "bar"                    # no trailing comma
);
array                             # no space between array and parenthesis
(
    1 => "foo", 
    2 => "bar",
);
if (true) {
    array(
        1 => "foo", 
        2 => "bar",
    );
}
array(1 => "foo", 
   2 => "bar");                 # bad indentation 
array(1 => "foo", 
      2 => "bar",                # no comma
);                               # parenthesis on previous line
array(
    1 => "foo", 
    2 => "bar");                 # trailing comma + parenthesis on the next line
array(
      1 => "foo",                # bad indentation 
      2 => "bar",                # bad indentation
);  
array(
    1 => "foo", 
    2 => "bar",
);

array(
    'foofoo' => array('foobar',
                      'foobaz'),
    'fooquz' => 'fooblah',
);

array(
    //6 => 1,
    8 => 1,
    10 => 2,
);

$privateKey = openssl_pkey_new(array(
    'private_key_bits' => 1024,
    'private_key_type' => OPENSSL_KEYTYPE_RSA,
));
